
# 需求获取报告


## 一、需求获取方法与理由
### （一）问卷调查法
**方法应用**：设计覆盖学习生活场景的标准化问卷，通过线上渠道收集44份有效数据。  
**核心结论**：量化呈现大学生在学习资料管理、课表需求、智能工具使用等方面的普遍性需求。  
**选择理由**：低成本覆盖多维度需求，数据可统计分析，支撑功能优先级决策。

### （二）头脑风暴法
**方法应用**：组织跨领域专家与学生代表开展创意会议，收集15项创新需求。  
**核心结论**：挖掘出课程点评、错题整理等潜在增值功能。  
**选择理由**：突破常规思维，激发前瞻性设计思路，增强产品差异化竞争力。


## 二、利益相关者分析
### （一）核心用户群体画像
| 用户角色 | 特征描述 | 需求权重 | 典型场景 |
|----------|----------|----------|----------|
| **大二学生** | 占比65.91%，课程压力集中，社交需求旺盛 | ★★★★★ | 课表管理、作业协作、社团活动组织 |
| **理工类学生** | 占比72.73%，注重效率工具，资源需求量大 | ★★★★☆ | 实验报告模板下载、课程代码共享 |
| **研究生** | 占比2.27%，学术深度需求显著 | ★★★☆☆ | 文献管理、学术会议信息聚合 |

### （二）边缘用户群体
| 用户角色 | 需求特征 | 解决方案 |
|----------|----------|----------|
| **教师群体** | 作业发布、课程通知 | 轻量化教师端管理后台 |
| **新生群体** | 入学适应需求 | 学长经验库+校园导航 |

### （三）选择依据
1. **需求匹配度**：大二学生正处于专业课程密集期，对课表管理、作业协作需求最为迫切  
2. **数据代表性**：理工类学生占比超70%，其需求特征对系统功能设计具有标杆意义  
3. **长期价值**：研究生群体虽占比小，但学术资源共享功能可形成差异化竞争力


## 三、问卷调查法需求获取记录
### （一）实施过程
1. **问卷设计**：包含13个单选题、8个多选题及1个开放题  
2. **样本特征**：44份有效问卷，覆盖5个年级、3大专业类别  
3. **执行周期**：2025年3月28日-3月30日，通过班级群、论坛等渠道发放  

### （二）核心数据洞察（附录A）
1. **学习资源获取**  
   - 81.82%依赖同学共享，38.64%认为现有渠道不够便捷  
   - 核心矛盾：资源分散性与使用效率的冲突  

2. **智能工具需求**  
   - 81.82%认可AI学习计划，77.27%希望获得改进建议  
   - 潜在需求：学习行为数据化分析与可视化呈现  

3. **社区运营方向**  
   - 84.09%支持学习资料共享板块，79.55%偏好简洁界面  
   - 设计原则：内容优先+操作极简  

### （三）分析方法
1. **统计分析法**：频次计算、百分比分析  
2. **需求层次模型**：Kano模型定位必备/期望/魅力型需求  
3. **相关性分析**：年级、专业与功能需求的关联度  


## 四、头脑风暴法需求获取记录
### （一）实施过程
1. **会议概况**  
   - 时间：2025年3月28日  
   - 参与人员：y997小组成员   

2. **执行步骤**  
   ```mermaid
   graph LR
       A[明确主题] --> B[自由联想]
       B --> C[分类整理]
       C --> D[投票筛选]
       D --> E[优先级排序]
   ```

### （二）核心结论
1. **主要功能**  
   - 课表管理：支持一键导入课表、实时提醒、与日程整合。
   - 作业协作：提供作业共享、查询、提醒功能。
   - 学习资源共享：建立学习资料库，支持上传、下载、分享功能。
   - AI学习计划：根据课表、作业和学习习惯，制定个性化学习计划，提供学习评估与改进建议。
   - 论坛互动：支持发帖、回复、点赞、评论，提供讨论区（如答疑、吐槽）和组局找搭子分区。
   - 积分系统：通过签到、完成任务获取积分，兑换界面主题、学习资料等奖励。
 

2. **设计原则**  
   - 数据驱动：基于学习行为数据优化功能模块  
   - 轻量集成：避免过度复杂功能影响核心体验  
   - 开放扩展：预留API接口对接校园第三方服务  


## 五、功能优先级排序

### **1. 高优先级功能**
1. **课表管理**  
   - **理由**：大二学生和理工类学生对课表管理需求最为迫切，是核心使用场景。支持一键导入课表、实时提醒和日程整合，能够显著提升用户的时间管理效率。

2. **作业协作**  
   - **理由**：作业共享、查询和提醒功能是学生日常学习中的高频需求，能够解决作业管理混乱的问题，提升学习效率。

3. **学习资源共享**  
   - **理由**：81.82%的用户依赖同学共享资源，建立学习资料库并支持上传、下载和分享功能，能够解决资源分散性与使用效率的冲突。


### **2. 中低优先级功能**
4. **论坛互动**  
   - **理由**：84.09%的用户支持学习资料共享板块，提供发帖、回复、点赞、评论功能，能够满足用户的社交和互动需求，提升社区活跃度。

5. **AI学习计划**  
   - **理由**：81.82%的用户认可 AI 学习计划功能，能够根据课表、作业和学习习惯制定个性化学习计划，提供学习评估与改进建议，提升学习效率。

6. **积分系统**  
   - **理由**：积分系统能够激励用户积极参与和贡献内容，通过签到、完成任务获取积分，兑换界面主题、学习资料等奖励，形成正反馈循环。


## 六、实施建议

### 1. **开发阶段**

**功能优先级开发**

   - 优先开发课表管理、作业协作和学习资源共享功能，满足核心用户（大二学生和理工类学生）的迫切需求。
   - 其次开发AI学习计划和论坛互动功能，提升用户体验和社区活跃度。
   - 最后开发教师端管理和新生导航功能，满足边缘用户需求。

**技术选型与架构设计**
 
   - 采用Vue.js（前端）和Spring Boot（后端）技术栈，确保系统的高效性和可扩展性。
   - 使用MySQL作为数据库，Redis作为缓存，提升系统性能。
   - 引入GPT-4 API和推荐算法，支持 AI 学习计划和个性化推荐功能。

**界面设计与用户体验**

   - 采用简洁直观的界面设计，确保用户能够快速上手。
   - 核心功能按钮（如发帖、回复、点赞、评论）需放在显眼位置，提升操作效率。
   - 支持个性化主题选项，满足不同用户的审美偏好。

### 2. **测试阶段**

**功能测试**

   - 对核心功能（如课表管理、作业协作、学习资源共享）进行详细测试，确保功能完整性和稳定性。
   - 使用JUnit（后端）和Jest（前端）进行单元测试，确保代码质量。

**用户体验测试**

   - 邀请目标用户（如大二学生、理工类学生）参与用户体验测试，收集反馈并优化界面设计和操作流程。 
   - 使用Cypress进行前端自动化测试，确保用户交互的流畅性。

**性能测试**

   - 使用Postman进行接口性能测试，确保系统在高并发情况下的稳定性。
   - 优化数据库查询和缓存机制，提升系统响应速度。

